com.sun.mail.auth

## Class MD4

- java.lang.Object
- - com.sun.mail.auth.MD4

-     public final class MD4
      extends Object

  The MD4 class is used to compute an MD4 message digest over a given buffer of bytes. It is an implementation of the RSA Data Security Inc MD4 algorithim as described in internet RFC 1320.
  Author:
    Andreas Sterbenz, Bill Shannon (adapted for JavaMail)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MD4()` Standard constructor, creates a new MD4 instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `digest(byte[] in)` Compute and return the message digest of the input byte array.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MD4

          public MD4()

      Standard constructor, creates a new MD4 instance.

  - ### Method Detail

    - #### digest

          public byte[] digest(byte[] in)

      Compute and return the message digest of the input byte array.
      Parameters:
        `in` - the input byte array
      Returns:
        the message digest byte array

Copyright © 2016 Oracle. All rights reserved.